# NOTE: Comments are NOT allowed. Please remove ALL comments (including this
# one) and add each command line argument desired. See
# https://github.com/google/trillian/issues/2724 for details.

# log to standard error as well as files
#--alsologtostderr

# Max number of leaves to process per batch (default 1000)
#--batch_size int

# Fraction of merkle keyspace to dequeue from, set to zero to disable. (default 0.75)
#--cloudspanner_dequeue_bucket_fraction float

# Interval betweek pinging sessions.
#--cloudspanner_healthcheck_interval duration

# Max concurrent create session requests.
#--cloudspanner_max_burst_sessions uint

# Max idle sessions.
#--cloudspanner_max_idle_sessions uint

# Max open sessions.
#--cloudspanner_max_open_sessions uint

# Min open sessions.
#--cloudspanner_min_open_sessions uint

# Number of gRPC channels to use to talk to CloudSpanner.
#--cloudspanner_num_channels int

# Number of health check workers for Spanner session pool.
#--cloudspanner_num_healthcheckers int

# How far in the past to perform readonly operations. Within limits, raising this should help to increase performance/reduce latency. (default 1m0s)
#--cloudspanner_readonly_staleness duration

# determines whether the session pool will keep track of the stacktrace of the goroutines that take sessions from the pool.
#--cloudspanner_track_session_handles

# Connection URI for CloudSpanner database
#--cloudspanner_uri string

# Fraction of write capable sessions to maintain.
#--cloudspanner_write_sessions float

# Config file containing flags, file contents can be overridden by command line flags
#--config string

# If set, write CPU profile to this file
#--cpuprofile string

# Service name to announce our HTTP endpoint under (default "trillian-logsigner-http")
#--etcd_http_service string

# A comma-separated list of etcd servers; no etcd registration if empty
#--etcd_servers string

# If true, assume master for all logs
#--force_master

# Timeout used during healthz checks (default 5s)
#--healthz_timeout duration

# Endpoint for HTTP (host:port, empty means disabled) (default "localhost:8091")
#--http_endpoint string

# etcd lock file directory path (default "/test/multimaster")
#--lock_file_path string

# when logging hits line file:N, emit a stack trace
#--log_backtrace_at value

# If non-empty, write log files in this directory
#--log_dir string

# log to standard error instead of files
#--logtostderr

# Minimum interval to hold mastership for (default 1m0s)
#--master_hold_interval duration

# Maximal random addition to --master_hold_interval (default 2m0s)
#--master_hold_jitter duration

# Max number of unsequenced rows before rate limiting kicks in. Only effective for quota_system=mysql. (default 500000)
#--max_unsequenced_rows int

# If set, write memory profile to this file
#--memprofile string

# Maximum connections to the database
#--mysql_max_conns int

# Maximum idle database connections in the connection pool (default -1)
#--mysql_max_idle_conns int

# Connection URI for MySQL database (default "test:zaphod@tcp(127.0.0.1:3306)/test")
#--mysql_uri string

# Number of sequencer workers to run in parallel (default 10)
#--num_sequencers int

# Max number of concurrent workers concurrently populating subtrees (default 256)
#--populate_subtree_concurrency int

# Maximum time to wait before starting elections (default 1s)
#--pre_election_pause duration

# Increase factor for tokens replenished by sequencing-based quotas (1 means a 1:1 relationship between sequenced leaves and replenished tokens).Only effective for --quota_system=etcd. (default 1.1)
#--quota_increase_factor float

# Max number of quota specs in the quota cache. Zero or lower means batching is disabled. Applicable for etcd quotas. (default 1000)
#--quota_max_cache_entries int

# Minimum number of tokens to request from the quota system. Zero or lower means batching is disabled. Applicable for etcd quotas. (default 100)
#--quota_min_batch_size int

# Quota system to use. One of: [noop etcd mysql] (default "mysql")
#--quota_system string

# Endpoint for RPC requests (host:port) (default "localhost:8090")
#--rpc_endpoint string

# If set, the time elapsed before submitted leaves are eligible for sequencing
#--sequencer_guard_window duration

# Time between each sequencing pass through all logs (default 100ms)
#--sequencer_interval duration

# logs at or above this threshold go to stderr
#--stderrthreshold value

# Storage system to use. One of: [cloud_spanner mysql] (default "mysql")
#--storage_system string

# Path to the TLS server certificate. If unset, the server will use unsecured connections.
#--tls_cert_file string

# Path to the TLS server key. If unset, the server will use unsecured connections.
#--tls_key_file string

# log level for V logs
#--v value

# comma-separated list of pattern=N settings for file-filtered logging
#--vmodule value
